if not exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FAT_EL]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)


/****** Object:  Table [dbo].[FAT_EL]    Script Date: 30/11/2018 11:29:50 ******/
CREATE TABLE [dbo].[FAT_EL](
	[ditta] [int] NOT NULL CONSTRAINT [DF_FAT_EL_ditta]  DEFAULT ((0)),
	[id] [bigint] NOT NULL CONSTRAINT [DF_FAT_EL_id]  DEFAULT ((0)),
	[tipodoc] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_tipodoc]  DEFAULT (''),
	[numerodoc] [char](50) NOT NULL CONSTRAINT [DF_FAT_EL_numerodoc]  DEFAULT (''),
	[datadoc] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_datadoc]  DEFAULT (''),
	[annoriferimento] [char](4) NOT NULL CONSTRAINT [DF_FAT_EL_annoriferimento]  DEFAULT (''),
	[oradoc] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_oradoc]  DEFAULT (''),
	[IdCodicetrasmittente] [char](20) NOT NULL CONSTRAINT [DF_FAT_EL_IdCodicetrasmittente]  DEFAULT (''),
	[IdPaese] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_IdPaese]  DEFAULT (''),
	[FormatoTrasmissione] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_FormatoTrasmissione]  DEFAULT (''),
	[telefonotrasmittente] [char](20) NOT NULL CONSTRAINT [DF_FAT_EL_telefonotrasmittente]  DEFAULT (''),
	[emailtrasmittente] [char](200) NOT NULL CONSTRAINT [DF_FAT_EL_emailtrasmittente]  DEFAULT (''),
	[idcodfisc_tras] [char](20) NOT NULL CONSTRAINT [DF_FAT_EL_idcodfisc_tras]  DEFAULT (''),
	[Denominazione_tras] [char](80) NOT NULL CONSTRAINT [DF_FAT_EL_Denominazione_dest1]  DEFAULT (''),
	[Nome_tras] [char](60) NOT NULL CONSTRAINT [DF_FAT_EL_Nome_dest1]  DEFAULT (''),
	[Cognome_tras] [char](60) NOT NULL CONSTRAINT [DF_FAT_EL_Cognome_dest1]  DEFAULT (''),
	[Titolo_tras] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_Titolo_dest1]  DEFAULT (''),
	[CodEORI_tras] [char](20) NOT NULL CONSTRAINT [DF_FAT_EL_CodEORI_dest1]  DEFAULT (''),
	[sede_tras_Indirizzo] [char](60) NOT NULL CONSTRAINT [DF_FAT_EL_sede_tras_Indirizzo]  DEFAULT (''),
	[sede_tras_NumeroCivico] [char](8) NOT NULL CONSTRAINT [DF_FAT_EL_sede_tras_Indirizzo1]  DEFAULT (''),
	[sede_tras_CAP] [char](5) NOT NULL CONSTRAINT [DF_FAT_EL_sede_tras_NumeroCivico1]  DEFAULT (''),
	[sede_tras_Comune] [char](60) NOT NULL CONSTRAINT [DF_FAT_EL_sede_tras_CAP1]  DEFAULT (''),
	[sede_tras_Provincia] [char](2) NOT NULL CONSTRAINT [DF_FAT_EL_sede_tras_Comune1]  DEFAULT (''),
	[sede_tras_Nazione] [char](2) NOT NULL CONSTRAINT [DF_FAT_EL_sede_tras_Provincia1]  DEFAULT (''),
	[RegimeFiscale_tras] [char](4) NOT NULL CONSTRAINT [DF_FAT_EL_regimeiva_tras]  DEFAULT (''),
	[destinatario] [char](200) NOT NULL CONSTRAINT [DF_FAT_EL_destinataro]  DEFAULT (''),
	[rifdestinatario] [char](20) NOT NULL CONSTRAINT [DF_FAT_EL_rifdesdinatario]  DEFAULT (''),
	[CodiceDestinatario] [char](20) NOT NULL CONSTRAINT [DF_FAT_EL_CodiceDestinatario]  DEFAULT (''),
	[idirizzoPECdestinatario] [char](100) NOT NULL CONSTRAINT [DF_FAT_EL_idirizzoPECdestinatario]  DEFAULT (''),
	[pivadestinatario] [char](30) NOT NULL CONSTRAINT [DF_FAT_EL_pivadestinatario]  DEFAULT (''),
	[cfisdestinatario] [char](30) NOT NULL CONSTRAINT [DF_FAT_EL_cfisdestinatario]  DEFAULT (''),
	[Denominazione_dest] [char](80) NOT NULL CONSTRAINT [DF_FAT_EL_Denominazione_dest]  DEFAULT (''),
	[Nome_dest] [char](60) NOT NULL CONSTRAINT [DF_FAT_EL_Nome_dest]  DEFAULT (''),
	[Cognome_dest] [char](60) NOT NULL CONSTRAINT [DF_FAT_EL_Cognome_dest]  DEFAULT (''),
	[Titolo_dest] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_Titolo_dest]  DEFAULT (''),
	[CodEORI_dest] [char](20) NOT NULL CONSTRAINT [DF_FAT_EL_CodEORI_dest]  DEFAULT (''),
	[sede_dest_Indirizzo] [char](60) NOT NULL CONSTRAINT [DF_FAT_EL_sede_tras_Indirizzo1_1]  DEFAULT (''),
	[sede_dest_NumeroCivico] [char](8) NOT NULL CONSTRAINT [DF_FAT_EL_sede_tras_NumeroCivico1_1]  DEFAULT (''),
	[sede_dest_CAP] [char](5) NOT NULL CONSTRAINT [DF_FAT_EL_sede_tras_CAP1_1]  DEFAULT (''),
	[sede_dest_Comune] [char](60) NOT NULL CONSTRAINT [DF_FAT_EL_sede_tras_Comune1_1]  DEFAULT (''),
	[sede_dest_Provincia] [char](2) NOT NULL CONSTRAINT [DF_FAT_EL_sede_tras_Provincia1_1]  DEFAULT (''),
	[sede_dest_Nazione] [char](2) NOT NULL CONSTRAINT [DF_FAT_EL_sede_tras_Nazione1]  DEFAULT (''),
	[descrizdoc_causale] [char](200) NOT NULL CONSTRAINT [DF_FAT_EL_descrizdoc_1]  DEFAULT (''),
	[arrotondamento] [char](20) NOT NULL CONSTRAINT [DF_FAT_EL_arrotondamento]  DEFAULT (''),
	[Art73] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_Art73]  DEFAULT (''),
	[NumeroDDT] [char](20) NOT NULL CONSTRAINT [DF_FAT_EL_NumeroDDT]  DEFAULT (''),
	[DataDDT] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_DataDDT]  DEFAULT (''),
	[RiferimentoNumeroLineaxDDT] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_RiferimentoNumeroLineaxDDT]  DEFAULT (''),
	[imponibile] [char](30) NOT NULL CONSTRAINT [DF_FAT_EL_imponibile]  DEFAULT (''),
	[importoiva] [char](30) NOT NULL CONSTRAINT [DF_FAT_EL_importoiva]  DEFAULT (''),
	[totale] [char](30) NOT NULL CONSTRAINT [DF_FAT_EL_totale]  DEFAULT (''),
	[Tipo_sconto] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_Tipo_sconto]  DEFAULT (''),
	[Percentuale_sconto] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_Percentuale_sconto]  DEFAULT (''),
	[Importo_sconto] [char](20) NOT NULL CONSTRAINT [DF_FAT_EL_Importo_sconto]  DEFAULT (''),
	[BolloVirtuale] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_BolloVirtuale]  DEFAULT (''),
	[ImportoBollo] [char](20) NOT NULL CONSTRAINT [DF_FAT_EL_ImportoBollo]  DEFAULT (''),
	[CondizioniPagamento] [char](100) NOT NULL CONSTRAINT [DF_FAT_EL_CondizioniPagamento]  DEFAULT (''),
	[Vettore] [char](200) NOT NULL CONSTRAINT [DF_FAT_EL_Vettore]  DEFAULT (''),
	[pathfilepdf] [char](200) NOT NULL CONSTRAINT [DF_FAT_EL_pathfilepdf]  DEFAULT (''),
	[NomeAttachment] [char](60) NOT NULL CONSTRAINT [DF_FAT_EL_NomeAttachment]  DEFAULT (''),
	[AlgoritmoCompressione] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_AlgoritmoCompressione]  DEFAULT (''),
	[FormatoAttachment] [char](10) NOT NULL CONSTRAINT [DF_FAT_EL_FormatoAttachment]  DEFAULT (''),
	[DescrizioneAttachment] [char](100) NOT NULL CONSTRAINT [DF_FAT_EL_DescrizioneAttachment]  DEFAULT (''),
	[Attachment] [image] NOT NULL CONSTRAINT [DF_FAT_EL_Attachment]  DEFAULT (''),
	[Attachmentbase64] [image] NOT NULL CONSTRAINT [DF_FAT_EL_Attachmentbase64]  DEFAULT (''),
	[nomefilexlm] [char](50) NOT NULL CONSTRAINT [DF_FAT_EL_nomefilexlm]  DEFAULT (''),
	[nomedelfilezip] [char](50) NOT NULL CONSTRAINT [DF_FAT_EL_nomedelfilezip]  DEFAULT (''),
	[esitoZip] [char](50) NOT NULL CONSTRAINT [DF_FAT_EL_esitoZip]  DEFAULT (''),
	[creatoXlm] [char](1) NOT NULL CONSTRAINT [DF_FAT_EL_creatoXlm]  DEFAULT (''),
	[filexlm] [image] NOT NULL CONSTRAINT [DF_FAT_EL_filexlm]  DEFAULT (''),
	[inviatoXlm] [char](1) NOT NULL CONSTRAINT [DF_FAT_EL_inviatoXlm]  DEFAULT (''),
	[dataeorainvioxlm] [char](30) NOT NULL CONSTRAINT [DF_FAT_EL_dataeorainvioxlm]  DEFAULT (''),
	[modalitadiinvio] [char](100) NOT NULL CONSTRAINT [DF_FAT_EL_modalitadiinvio]  DEFAULT (''),
	[log_invio] [image] NOT NULL CONSTRAINT [DF_FAT_EL_log_invio]  DEFAULT (''),
	[esitoXlm] [char](1) NOT NULL CONSTRAINT [DF_FAT_EL_esitoXlm]  DEFAULT (''),
	[percheesitoerr]  [varchar](max) NOT NULL CONSTRAINT [DF_FAT_EL_percheesitoerr]  DEFAULT (''),
	[copiaricdiritorno] [image] NOT NULL CONSTRAINT [DF_FAT_EL_copiaricdiritorno]  DEFAULT (''),
	[nomefilediritorno] [char](50) NOT NULL CONSTRAINT [DF_FAT_EL_nomefilediritorno]  DEFAULT (''),
	[IDDocumentoOligest] [int] NOT NULL CONSTRAINT [DF_FAT_EL_IDDocumentoOligest]  DEFAULT ((0)),
	[RitenutaTipo] [varchar] (4) NOT NULL CONSTRAINT [DF_FAT_EL_RitenutaTipo_1] DEFAULT (''),
	[RitenutaImporto] [varchar] (21) NOT NULL CONSTRAINT [DF_FAT_EL_RitenutaImporto_1] DEFAULT (''),
	[RitenutaAliquota] [varchar] (8) NOT NULL CONSTRAINT [DF_FAT_EL_RitenutaAliquota_1] DEFAULT (''),
	[RitenutaCausalePagamento] varchar(2) NOT NULL CONSTRAINT [DF_FAT_EL_RitenutaCausalePagamento_1] DEFAULT ('')


 CONSTRAINT [PK_FAT_EL] PRIMARY KEY CLUSTERED 
(
	[ditta] ASC,
	[id] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]


SET ANSI_PADDING OFF
GO
